Subject: Re: bug#73127: [PATCH gnome-team] gnu: glib: Update to 2.80.5.
From: Maxim Cournoyer <[email-masked]>
To: Liliana Marie Prikler <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 12 Nov 2024 17:31:31 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Maxim Cournoyer <[email-masked]> writes:

> Hi Liliana,
>
> Liliana Marie Prikler <[email-masked]> writes:
>
>> * gnu/packages/glib.scm (glib): Update to 2.80.5.
>> [#:phases]: Add ‘wrap-python’.
>> [inputs]: Add python-packaging-bootstrap.
>> ---
>>
>> v2 fixes builds in dependent packages, but may come at the cost of making
>> glib no longer cross-compilable (note: I don't know whether it can be
>> cross-built currently, and would like some pointers on how to achieve
>> this for a potential v3).  qtbase still fails --- bug report incoming.
>
> I wouldn't worry too much about making it non cross-compilable by adding
> a Python input; I had a patch making it possible to cross-compile python
> packages on old core-updates, I should revisit it.
>
> The rest looks fine to me.

That's obsolete by glib 2.83.0 on my latest gnome-team submission (bug
#74306).

-- 
Thanks,
Maxim